Skip to content

Creates transaction

POST
/api/v2.0/stores/{storeId}/members/{memberId}/transactions
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "external_id": "example", "external_receipt_id": "example", "created_at": "2026-04-15T12:00:00Z", "payment_details": [ { "payment_method": "example", "sub_total": 1 } ], "eft_pos": "example", "send_email_receipt": true, "total": 1, "total_tax": 1, "total_discount": 1, "currency": "example", "round_off_amount": 1, "origin": { "system_id": "example", "employee_id": "example", "department_id": "example", "department_name": "example", "channel": "example" }, "coupon_codes": [ "example" ], "coupons": [ { "code": "example", "redeemed_value": 1 } ], "stamp_card_ids": [ 1 ], "stamp_cards": [ { "stamp_card_id": 1, "action": "example", "count": 1 } ], "details": [ { "product": { "external_id": "example", "sku": "example", "name": "example", "brand": "example", "external_voucher_id": "example", "category": { "name": "example", "external_id": "example" }, "gtin": { "type": "Isbn", "code": "example" } }, "quantity": 1, "unit_price": 1, "unit_measure": "example", "tax_percentage": 1, "discount": 1, "total_price": 1, "stamp_card_ids": [ 1 ], "stamp_cards": [ { "stamp_card_id": 1, "action": "example", "count": 1 } ], "coupons": [ { "code": "example", "redeemed_value": 1 } ], "coupon_codes": [ "example" ] } ], "department_id": "example" }'
storeId
required
string

Store Id

Example
your-store-id
memberId
required
string

Member Id

Example
m_nsr714RRBEHX

CreateTransactionRequest object

object
external_id

The store’s transaction unique identifier. Eg. Order-1234

string
nullable
external_receipt_id
string
nullable
created_at

The date and time the transaction was created represented as ISO 8601-encoded string.

For example: January 1, 2025 at 13:00, in the time zone of UTC (Coordinated Universal Time) is represented as “2025-01-01T13:00:00Z” or “2025-01-01T13:00:00+00:00”. Important: If no offset is present, then UTC is assumed by default (not the store local time).

string format: date-time
payment_details
Array<object>
nullable
object
payment_method
string
nullable
sub_total
number format: double
eft_pos

Electronic funds transfer at point of sale

string
nullable
send_email_receipt
boolean
total

Total amount paid by the customer, after discounts and taxes

number format: double
total_tax

Total amount of taxes paid

number format: double
total_discount

Discount amount applied to this purchase

number format: double
currency
string
nullable
round_off_amount

Stores the specific value used for rounding calculations

number format: double
origin

Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.

object
system_id
string
nullable
employee_id

The id for of the operator that made the request (if applicable)

string
nullable
department_id
string
nullable
department_name
string
nullable
channel

Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.

string
nullable
coupon_codes
Array<string>
nullable
coupons
Array<object>
nullable
object
code
string
nullable
redeemed_value

Points deducted

number format: double
stamp_card_ids

DEPRECATED: Use the collection property StampCards instead.

Array<integer>
nullable
stamp_cards
Array<object>
nullable
object
stamp_card_id
integer format: int32
action
required

Defines whether the stamp is ‘deducted’ or ‘collected’

string
>= 1 characters
count

The number of stamps on this particular stamp card and action. It must be a positive value

integer format: int32
details
Array<object>
nullable
object
product
object
external_id

Store’s Product Id

string
nullable
sku

Product Id that identifies the product along all channels (POS, Woocommerce, Shopify, etc.)

string
nullable
name
string
nullable
brand
string
nullable
external_voucher_id
string
nullable
category
object
name
string
nullable
external_id
string
nullable
gtin

Defines the GTIN type for the global identifier code e.g. EAN, UPC, ISBN, etc.

object
type
string
Allowed values: Isbn UpcGtin12 EanGtin13
code
string
nullable
quantity
number format: double
unit_price

Unit price including taxes

number format: double
unit_measure
string
nullable
tax_percentage

Value stored from 0.00 to 100.00

number format: double
discount

Discount amount applied to this product

number format: double
total_price

Total price after dicount and taxes Qty x unit price - discount

number format: double
stamp_card_ids

DEPRECATED: Use the collection property StampCards instead.

Array<integer>
nullable
stamp_cards
Array<object>
nullable
object
stamp_card_id
integer format: int32
action
required

Defines whether the stamp is ‘deducted’ or ‘collected’

string
>= 1 characters
count

The number of stamps on this particular stamp card and action. It must be a positive value

integer format: int32
coupons
Array<object>
nullable
object
code
string
nullable
redeemed_value

Points deducted

number format: double
coupon_codes
Array<string>
nullable
department_id

The Id assigned by the retailer

string
nullable

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}